<?php
if (!defined('ABSPATH')) {
	exit; // Exit if accessed directly
}

class OriginCode_Photo_Gallery_Elementor_Widget extends \Elementor\Widget_Base
{
	public function get_name() {
		return 'origincode_photo_gallery';
	}

	public function get_title() {
		return __( 'OriginCode Photo Gallery', 'uxgallery' );
	}

	public function get_icon() {
		return 'fa fa-image';
	}

	public function get_categories() {
		return array('basic');
	}

	protected function _register_controls() {
		global $wpdb;
		$galleriesTable = $wpdb->prefix.'origincode_photo_gallery_wp_gallerys';
		$galleries = $wpdb->get_results("SELECT id, name FROM `".$galleriesTable."` order by id desc ");

		$galleryOptions = array(
			0  => 'Select'
		);

		if(!empty($galleries)) {
			foreach ($galleries as $gallery) {
				$galleryOptions[$gallery->id] = $gallery->name;
			}
		}

		$this->start_controls_section(
			'content_section',
			[
				'label' => 'Content',
				'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
			]
		);

		$this->add_control(
			'gallery_id',
			[
				'label' => 'Select Gallery',
				'type' => \Elementor\Controls_Manager::SELECT,
				'default' => 0,
				'options' => $galleryOptions,
			]
		);

		$this->end_controls_section();
	}

	protected function render() {
		$settings = $this->get_settings_for_display();
		echo do_shortcode('[origincode_photo_gallery_wp id="'.$settings['gallery_id'].'"]');
	}
}